// pages/file-detail/file-detail.js
const util = require('../../utils/util.js');
Page({

    /**
     * 页面的初始数据
     */
    data: {

    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let that = this;
        util.get({
            url: '/api/notice/getById',
            header: {
                'content-type': 'application/x-www-form-urlencoded'
            },
            data: {
                id: options.id
            },
            success: (res) => {
                wx.hideLoading();
                console.info(res);
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    that.setData({
                        title: res.data.data.title,
                        createTime: util.formatDate(res.data.data.createTime, 'yyyy-MM-dd'),
                        content: res.data.data.content
                    });
                }

            }
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

})